﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace SilverlightApplication5
{
    //[ScriptableType]
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            HtmlPage.RegisterScriptableObject("Page", this);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            GeneralTransform gt = this.TransformToVisual(Application.Current.RootVisual as UIElement);
            Point offset = gt.Transform(new Point(0, 0));
            double controlTop = offset.Y;
            double controlLeft = offset.X;
            HtmlPage.Window.Invoke("changeButtonText", "Texto cambiado desde Silverlight");
        }

        [ScriptableMember]
        public void ChangeButtonText(string Text)
        {
            TextBlock objTB = new TextBlock();
            objTB.Text = Text;
            Button1.Content = objTB;
        }
    }
}